EDIT - bug #7290
bug # 6545 (Closed): [MASTER] Eclipse 4 bugs

Creating the first node in a new polytomous key throws NPE
02/22/2018 01:54 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

1. Create new PolytomousKey
2. Create new PolytomousKeyNode -> Exception

.15.0.201802211343

test.e-taxonomy.eu (edit-test) / rem_conf_am

login admin
editor version : 4
server

schema version : 4

.7.0.0.201710040000

os : Windows Server 2012 R2 6.3 amd64

java

1.8

.0_121

org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)
swt.SWT.error (SWT. java:4533)

swt.SWT.error (SWT. java:4448)

swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)
swt.widgets.Display.runAsyncMessages (Display. java:4211)
swt.widgets.Display.readAndDispatch (Display.java:3827)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l

.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

her.java:134)
core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
eclipse
eclipse
eclipse

.equinox.launcher.Main.invokeFramework (Main. java:673)
.equinox.launcher.Main.basicRun (Main. java:610)
.equinox.launcher.Main.run (Main. java:1519)

java.lang.NullPointerException
eu.etaxonomy.taxeditor.navigation.navigator.e4.TaxonNavigatorE4.updateSyncButton (TaxonNavig

java:196)

eu.etaxonomy.taxeditor.navigation.navigator.ed4.TaxonNavigatorE4.refresh (TaxonNavigatorE4. ja

at eu.etaxonomy.taxeditor.navigation.navigator.ed4.TaxonNavigatorE4.onChange (TaxonNavigatorE4. j

ava:492

)

at eu.etaxonomy.taxeditor.store.CdmUIDataChangeService$2.run (CdmUIDataChangeService. java:44)
org.eclipse.swt.widgets.Synchronizer.syncExec (Synchronizer.java:233)

org.eclipse.ui.internal.UISynchronizer.syncExec (UISynchronizer. java:145)
org.eclipse.swt.widgets.Display.syncExec (Display. java:4821)
.taxeditor.

store.CdmUIDataChangeService.fireChangeEvent (CdmUIDataChangeService.
operation.RemotingCdmOperation.fireDataChangeEvent (RemotingCdmOperat
operation.RemotingCdmDefaultOperation.postExecute (RemotingCdmDefault

operation.RemotingCdmOperation.execute (RemotingCdmOperation. java:51)
model.AbstractUtility.lambda$4 (AbstractUtility.java:197)

.eclipse.ui.internal.UILockListener.doPendingWork (UILockListener. java:162)

more

eclipse.ui.internal.UISynchronizer$3.run (UISynchronizer. java:154)
eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

Associated revisions

Revision 4bf09483 - 02/22/2018 03:01 PM - Patrick Plitzner

fix #7290 Fix NPE when view has not already been created

History

#1 - 02/22/2018 01:56 PM - Andreas Miiller

- Description updated

#2 - 02/22/2018 01:56 PM - Andreas Miuller
- Parent task set to #6545

#3 - 02/22/2018 03:01 PM - Patrick Plitzner

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|4bf09483757553a725525563734a26473ba3e7eb.

#4 - 02/22/2018 03:01 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#5 - 04/26/2018 03:14 PM - Andreas Miller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

Seems to be fixed

#6 - 05/16/2018 12:42 PM - Andreas Miiller
- % Done changed from 50 to 100
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/4bf09483757553a725525563734a26473ba3e7eb
